gi-gio-2.0.27: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Interfaces.DtlsServerConnection

Contents

- Exported types
- Methods
  - Overloaded methods
  - new
- Properties
  - authenticationMode

Description

`DtlsServerConnection` is the server-side subclass of `DtlsConnection`, representing a server-side DTLS connection.

Since: 2.48

Synopsis

- newtype DtlsServerConnection = DtlsServerConnection (ManagedPtr DtlsServerConnection)
- class (GObject o, IsDescendantOf DtlsServerConnection o) => IsDtlsServerConnection o
- toDtlsServerConnection :: (MonadIO m, IsDtlsServerConnection o) => o -> m DtlsServerConnection
- dtlsServerConnectionNew :: (HasCallStack, MonadIO m, IsDatagramBased a, IsTlsCertificate b) => a -> Maybe b -> m DtlsServerConnection
- constructDtlsServerConnectionAuthenticationMode :: (IsDtlsServerConnection o, MonadIO m) => TlsAuthenticationMode -> m (GValueConstruct o)
- getDtlsServerConnectionAuthenticationMode :: (MonadIO m, IsDtlsServerConnection o) => o -> m TlsAuthenticationMode
- setDtlsServerConnectionAuthenticationMode :: (MonadIO m, IsDtlsServerConnection o) => o -> TlsAuthenticationMode -> m ()

# Exported types

newtype DtlsServerConnection Source #

Memory-managed wrapper type.

Constructors

DtlsServerConnection (ManagedPtr DtlsServerConnection) |

#### Instances

Instances details

Eq DtlsServerConnection Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection Methods (==) :: DtlsServerConnection -> DtlsServerConnection -> Bool # (/=) :: DtlsServerConnection -> DtlsServerConnection -> Bool #
GObject DtlsServerConnection Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection
TypedObject DtlsServerConnection Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection Methods glibType :: IO GType Source #
ManagedPtrNewtype DtlsServerConnection Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection Methods toManagedPtr :: DtlsServerConnection -> ManagedPtr DtlsServerConnection Source #
IsGValue DtlsServerConnection Source # | Convert `DtlsServerConnection` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection Methods toGValue :: DtlsServerConnection -> IO GValue Source # fromGValue :: GValue -> IO DtlsServerConnection Source #
HasParentTypes DtlsServerConnection Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection
type ParentTypes DtlsServerConnection Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection type ParentTypes DtlsServerConnection = '[DatagramBased, DtlsConnection, Object]

class (GObject o, IsDescendantOf DtlsServerConnection o) => IsDtlsServerConnection o Source #

Type class for types which can be safely cast to `DtlsServerConnection`, for instance with `toDtlsServerConnection`.

#### Instances

Instances details

(GObject o, IsDescendantOf DtlsServerConnection o) => IsDtlsServerConnection o Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection

toDtlsServerConnection :: (MonadIO m, IsDtlsServerConnection o) => o -> m DtlsServerConnection Source #

Cast to `DtlsServerConnection`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods

## new

dtlsServerConnectionNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsDatagramBased a, IsTlsCertificate b) |
=> a | `baseSocket`: the `DatagramBased` to wrap
-> Maybe b | `certificate`: the default server certificate, or `Nothing`
-> m DtlsServerConnection | Returns: the new `DtlsServerConnection`, or `Nothing` on error (Can throw `GError`)

Creates a new `DtlsServerConnection` wrapping `baseSocket`.

Since: 2.48

# Properties

## authenticationMode

The `TlsAuthenticationMode` for the server. This can be changed before calling `dtlsConnectionHandshake` if you want to rehandshake with a different mode from the initial handshake.

Since: 2.48

constructDtlsServerConnectionAuthenticationMode :: (IsDtlsServerConnection o, MonadIO m) => TlsAuthenticationMode -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`authentication-mode`” property. This is rarely needed directly, but it is used by `new`.

getDtlsServerConnectionAuthenticationMode :: (MonadIO m, IsDtlsServerConnection o) => o -> m TlsAuthenticationMode Source #

Get the value of the “`authentication-mode`” property. When overloading is enabled, this is equivalent to

    get dtlsServerConnection #authenticationMode

setDtlsServerConnectionAuthenticationMode :: (MonadIO m, IsDtlsServerConnection o) => o -> TlsAuthenticationMode -> m () Source #

Set the value of the “`authentication-mode`” property. When overloading is enabled, this is equivalent to

    set dtlsServerConnection [ #authenticationMode := value ]